Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 89201 - krb5-1.2.8-1.src.rpm fails to compile with autoconf-2.57-3
Summary: krb5-1.2.8-1.src.rpm fails to compile with autoconf-2.57-3
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: krb5
Version: 1.0
Hardware: other
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-20 17:53 UTC by Felipe Alfaro Solana
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-26 12:18:50 UTC


Attachments (Terms of Use)

Description Felipe Alfaro Solana 2003-04-20 17:53:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I'm unable to compile krb5-1.2.8.src.rpm if autoconf-2.57-3 (the one that comes
with Red Hat Linux 9) is installed. During the compilation process, the build
stops complaining that autoconf doesn't recognize the "--localdir" and
"--macrodir" arguments.

To fix the problem, I uninstalled autoconf-2.57-3 and installed
autoconf213-2.13-6 instead, and then made a symbolic link from
/usr/bin/autoconf-2.13 to /usr/bin/autoconf. This time, I was able to recompile
the SRPM successfully.

Version-Release number of selected component (if applicable):
krb5-1.2.8-1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Download krb5-1.2.8-1.src from RawHide
2. Make sure autocong-2.57-3 is installed
3. rpmbuild --rebuild krb5-1.2.8-1.src.rpm
    

Actual Results:  Building of the source package fails complaining that autconf
doesn't support the "--localdir" or "--macrodir" command-line parameter.

Expected Results:  It should be possible to compile krb5-1.2.8-1.src.rpm using
autoconf-2.57-3.

Additional info:

Comment 1 Felipe Alfaro Solana 2004-02-26 12:18:50 UTC
I'm closing this pretty old bug as current Kerberos V packages are 
at upstream release 1.3. 
 
If anyone is still experiencing this, please consider upgrading to 
latest Kerberos V packages and open a new bug is this problem 
persists. 


Note You need to log in before you can comment on or make changes to this bug.